package com.bootdo.datas.domain;

import java.io.Serializable;
import java.util.Date;

public class GyUnitDO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    /**
     * 数据处理者名称
     */
    private String reporterUnit;

    /**
     * 统一社会信用代码
     */
    private String creditCode;

    /**
     * 数据处理者性质
     */
    private String unitCharacter;

    /**
     * 所属行业-一级类别
     */
    private String industryTypeOne;

    /**
     * 所属行业-二级类别
     */
    private String industryTypeTwo;

    /**
     * 所属地区（省）
     */
    private String unitProvince;

    /**
     * 所属地区（市）
     */
    private String unitCity;

    /**
     * 所属监管部门
     */
    private  String supervisoryOrg;

    /**
     * 组织负责人
     */
    private String unitMan;

    /**
     * 组织负责人职务
     */
    private String unitOffice;

    /**
     * 数据安全联系人
     */
    private String dataSecurityMan;

    /**
     * 数据安全负责人身份证号
     */
    private String dataSecurityId;

    /**
     * 数据安全负责人职务
     */
    private String dataSecurityOffice;

    /**
     * 数据安全负责人联系方式
     */
    private String dataSecurityWay;


    /**
     * 审核状态，0待审核，1已通过，2已驳回
     */
    private String auditStatus;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改时间
     */
    private Date updateTime;

    /**
     * 备注
     */
    private String note;

    /**
     * 移动电话
     */
    private String mobilePhone;

    public String getMobilePhone() {
        return mobilePhone;
    }

    public void setMobilePhone(String mobilePhone) {
        this.mobilePhone = mobilePhone;
    }

    public String getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(String auditStatus) {
        this.auditStatus = auditStatus;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getReporterUnit() {
        return reporterUnit;
    }

    public void setReporterUnit(String reporterUnit) {
        this.reporterUnit = reporterUnit;
    }

    public String getCreditCode() {
        return creditCode;
    }

    public void setCreditCode(String creditCode) {
        this.creditCode = creditCode;
    }

    public String getUnitCharacter() {
        return unitCharacter;
    }

    public void setUnitCharacter(String unitCharacter) {
        this.unitCharacter = unitCharacter;
    }

    public String getIndustryTypeOne() {
        return industryTypeOne;
    }

    public void setIndustryTypeOne(String industryTypeOne) {
        this.industryTypeOne = industryTypeOne;
    }

    public String getIndustryTypeTwo() {
        return industryTypeTwo;
    }

    public void setIndustryTypeTwo(String industryTypeTwo) {
        this.industryTypeTwo = industryTypeTwo;
    }

    public String getUnitProvince() {
        return unitProvince;
    }

    public void setUnitProvince(String unitProvince) {
        this.unitProvince = unitProvince;
    }

    public String getUnitCity() {
        return unitCity;
    }

    public void setUnitCity(String unitCity) {
        this.unitCity = unitCity;
    }

    public String getSupervisoryOrg() {
        return supervisoryOrg;
    }

    public void setSupervisoryOrg(String supervisoryOrg) {
        this.supervisoryOrg = supervisoryOrg;
    }

    public String getUnitMan() {
        return unitMan;
    }

    public void setUnitMan(String unitMan) {
        this.unitMan = unitMan;
    }

    public String getUnitOffice() {
        return unitOffice;
    }

    public void setUnitOffice(String unitOffice) {
        this.unitOffice = unitOffice;
    }

    public String getDataSecurityMan() {
        return dataSecurityMan;
    }

    public void setDataSecurityMan(String dataSecurityMan) {
        this.dataSecurityMan = dataSecurityMan;
    }

    public String getDataSecurityId() {
        return dataSecurityId;
    }

    public void setDataSecurityId(String dataSecurityId) {
        this.dataSecurityId = dataSecurityId;
    }

    public String getDataSecurityOffice() {
        return dataSecurityOffice;
    }

    public void setDataSecurityOffice(String dataSecurityOffice) {
        this.dataSecurityOffice = dataSecurityOffice;
    }

    public String getDataSecurityWay() {
        return dataSecurityWay;
    }

    public void setDataSecurityWay(String dataSecurityWay) {
        this.dataSecurityWay = dataSecurityWay;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    @Override
    public String toString() {
        return "GyUnitDO{" +
                "id=" + id +
                ", reporterUnit='" + reporterUnit + '\'' +
                ", creditCode='" + creditCode + '\'' +
                ", unitCharacter='" + unitCharacter + '\'' +
                ", industryTypeOne='" + industryTypeOne + '\'' +
                ", industryTypeTwo='" + industryTypeTwo + '\'' +
                ", unitProvince='" + unitProvince + '\'' +
                ", unitCity='" + unitCity + '\'' +
                ", supervisoryOrg='" + supervisoryOrg + '\'' +
                ", unitMan='" + unitMan + '\'' +
                ", unitOffice='" + unitOffice + '\'' +
                ", dataSecurityMan='" + dataSecurityMan + '\'' +
                ", dataSecurityId='" + dataSecurityId + '\'' +
                ", dataSecurityOffice='" + dataSecurityOffice + '\'' +
                ", dataSecurityWay='" + dataSecurityWay + '\'' +
                ", auditStatus='" + auditStatus + '\'' +
                ", createTime=" + createTime +
                ", updateTime=" + updateTime +
                ", note='" + note + '\'' +
                ", mobilePhone='" + mobilePhone + '\'' +
                '}';
    }
}
